Skip to main content
GET
/
resource_reports
/
{resource_report_token}
Get resource report by token
curl --request GET \
  --url https://api.vantage.sh/v2/resource_reports/{resource_report_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/resource_reports/{resource_report_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/resource_reports/{resource_report_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "prvdr_rsrc_rprt_5270d2a0708fd74f",
  "title": "Resource Report 84541657",
  "filter": "(resources.provider = 'aws')",
  "created_at": "2025-08-14T19:13:30Z",
  "workspace_token": "wrkspc_2ed2f1a59293a996",
  "user_token": null,
  "created_by_token": null,
  "columns": [
    "provider",
    "label",
    "accrued_costs",
    "recommendation_savings",
    "resource",
    "type",
    "region",
    "account"
  ]
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

resource_report_token
string
required

Response

ResourceReport model

token
string
required
title
string
required

The title of the ResourceReport.

Example:

"Acme123 Active Resources"

filter
string | null
required

The filter applied to the ResourceReport. Additional documentation available at https://docs.vantage.sh/vql.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2024-03-19T00:00:00Z"

workspace_token
string
required

The token for the Workspace the ResourceReport is a part of.

user_token
string | null
required

The token for the User who created this ResourceReport.

created_by_token
string | null
required

The token for the User or Team who created this ResourceReport.

columns
string[]
required

Array of column names configured for the ResourceReport table display.

folder_token
string | null

The token for the Folder the ResourceReport is a part of.